import $http from "@/utils/httpRequest.js";
//
export const dataCenter = {
  customerAnalysis: (data) => {
    return $http.request({
      url: `/merchant-api/pc/data/analyse/customer/analyse`,
      method: "get",
      params: data,
    });
  },
  customerTrend: (data) => {
    return $http.request({
      url: `/merchant-api/pc/data/analyse/customer/trend`,
      method: "get",
      params: data,
    });
  },
  updatePreSaleProducts: (data) => {
    return $http.request({
      url: `/merchant-api/product/save/advance/sell`,
      method: "post",
      data,
    });
  },
  closePreSaleProducts: (data) => {
    return $http.request({
      url: `/merchant-api/product/update/advance/sell/status`,
      method: "post",
      data,
    });
  },
};
